Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	VCDImager is a full-featured mastering suite for authoring, disassembling and analyzing Video CDs and Super Video CDs.
Name:		vcdimager
Version:	0.7.23
Release:	3
Group:		Video
License:	GPL
URL:		http://www.gnu.org/software/vcdimager/
Source0:	vcdimager-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libcdio-devel
BuildRequires: libxml2-devel
BuildRequires: popt-devel
BuildRequires: zlib-devel

%description
GNU VCDImager is a full-featured mastering suite for authoring, disassembling and analyzing Video CDs and Super Video CDs.

%package devel
Summary: 	vcdimager development headers.
Group:     	Video
Requires: 	vcdimager = %{version}-%{release}

%description devel
Header and include files for developing applications with vcdimager.

%post
/sbin/install-info %_infodir/vcdimager.info.gz %_infodir/dir
/sbin/install-info %_infodir/vcd-info.info.gz %_infodir/dir
/sbin/install-info %_infodir/vcdxrip.info.gz %_infodir/dir
ldconfig

%postun
ldconfig

%preun
if [ "$1" = 0 ]; then
/sbin/install-info --del %_infodir/vcdimager.info.gz %_infodir/dir
/sbin/install-info --del %_infodir/vcd-info.info.gz %_infodir/dir
/sbin/install-info --del %_infodir/vcdxrip.info.gz %_infodir/dir
fi

%prep
%setup -q -n %{name}-%version

%build
./configure --prefix=%_prefix --mandir=%_mandir --infodir=%_infodir --disable-debug
make 

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%_infodir/dir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/cdxa2mpeg
%{_bindir}/vcdimager
%{_bindir}/vcd-info
%{_bindir}/vcdxbuild
%{_bindir}/vcdxgen
%{_bindir}/vcdxminfo
%{_bindir}/vcdxrip
%{_libdir}/libvcdinfo.so.*
%{_infodir}/vcdimager.info.gz
%{_infodir}/vcd-info.info.gz
%{_infodir}/vcdxrip.info.gz
%{_mandir}/man1/cdxa2mpeg.1.gz
%{_mandir}/man1/vcdimager.1.gz
%{_mandir}/man1/vcd-info.1.gz
%{_mandir}/man1/vcdxbuild.1.gz
%{_mandir}/man1/vcdxgen.1.gz
%{_mandir}/man1/vcdxminfo.1.gz
%{_mandir}/man1/vcdxrip.1.gz


%files devel
%defattr(-,root,root)
%{_includedir}/libvcd
%{_libdir}/libvcdinfo.a
%{_libdir}/libvcdinfo.la
%{_libdir}/libvcdinfo.so
%{_pkgconfig}/libvcdinfo.pc

%changelog
* Wed Mar 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.7.23-3
- rebuilt against libcdio 0.82
* Sat Dec 13 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.7.23-2
- rebuilt against libcdio 0.81
* Thu Dec 21 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.7.23-1
- Version Update
* Fri May 27 2005 Christian Metzen <metzench@ccux-linux.de> 0.7.22-1
- Version update to 0.7.22
